<SiemensPLC Name="PLC1" Description="PLC1 declaration"  xmlns="http://www.parametershandling.unicos.cern.ch.research">
	<PLCName Value="" Description="PLC name (unique within the same unicos application)" DefaultValue="PLC1"/>
	<PLCType Value="" Description="PLC Type"/>
	<ParameterList Name="SiemensSpecificParameters" Description="Specific parameters for Siemens manufacturer" isExpertField="false">
		<ParameterList Name="GeneralConfiguration" Description="General configuration">
			<PositiveIntegerParameter Name="EventBufferSize" Value="1000" Description="Number of configured events" DefaultValue="1000" MinValue="50" MaxValue="6000"/>
			<BooleanParameter Name="LargeApplication" Value="false" Description="If this parameter is true the DB simple for DI and AIR will be created" DefaultValue="false"/>
		</ParameterList>
		<ParameterList Name="TypeMemorySize" Description="">
			<PositiveIntegerParameter Name="LONG64" Value="8" Description="" DefaultValue="8"/>
			<PositiveIntegerParameter Name="INT32" Value="4" Description="" DefaultValue="4"/>
			<PositiveIntegerParameter Name="SHORTINT16" Value="2" Description="" DefaultValue="2"/>
			<PositiveIntegerParameter Name="BYTE8" Value="2" Description="" DefaultValue="2"/>
			<PositiveIntegerParameter Name="BOOLEAN" Value="2" Description="" DefaultValue="2"/>
			<PositiveIntegerParameter Name="BIT1" Value="2" Description="" DefaultValue="2"/>
			<PositiveIntegerParameter Name="DOUBLE64" Value="8" Description="" DefaultValue="8"/>
			<PositiveIntegerParameter Name="FLOAT32" Value="4" Description="" DefaultValue="4"/>
			<PositiveIntegerParameter Name="WORD" Value="2" Description="" DefaultValue="2"/>
		</ParameterList>
		<ParameterList Name="PLCEquivalence" Description="">
			<StringParameter Name="SHORTINT16" Value="WORD" Description="Equivalence for Siemens PLC" DefaultValue="WORD" isExpertField="true"/>
			<StringParameter Name="FLOAT32" Value="REAL" Description="Equivalence for Siemens PLC" DefaultValue="REAL" isExpertField="true"/>
			<StringParameter Name="BIT1" Value="WORD" Description="Equivalence for Siemens PLC" DefaultValue="WORD" isExpertField="true"/>
			<StringParameter Name="BOOLEAN" Value="WORD" Description="Equivalence for Siemens PLC" DefaultValue="WORD" isExpertField="true"/>
			<StringParameter Name="WORD" Value="WORD" Description="Equivalence for Siemens PLC" DefaultValue="WORD" isExpertField="true"/>
		</ParameterList>
		<ParameterList Name="PLCS7Connection">
			<HexParameter Name="LocalId" Value="1" Description="PLC connection ID (see NetPro S7 Connection settings)" DefaultValue="1"/>
			<PositiveIntegerParameter Name="LocalRack" Value="0" Description="PLC Rack Number (see NetPro S7 Connection settings)" DefaultValue="0"/>
			<PositiveIntegerParameter Name="LocalSlot" Value="2" Description="PLC CPU Slot Number (see NetPro S7 Connection settings)" DefaultValue="2"/>
			<HexParameter Name="LocalConnResource" Value="10" Description="PLC Connection Resources (see NetPro S7 Connection settings)" DefaultValue="A0"/>
		</ParameterList>
		<ParameterList Name="AddressConfig" Description="">
			<PositiveIntegerParameter Name="PartnerRack" Value="0" Description="PC Partner Rack (see NetPro S7 Connection settings)" DefaultValue="0"/>
			<PositiveIntegerParameter Name="PartnerSlot" Value="0" Description="PC Partner Slot (see NetPro S7 Connection settings)" DefaultValue="0"/>
			<HexParameter Name="PartnerConnResource" Value="10" MinValue="10" Description="PC Connection Resources (see NetPro S7 Connection settings)" DefaultValue="10"/>
			<PositiveIntegerParameter Name="Timeout" Value="5000" Description="S7 Driver connection timeout" DefaultValue="5000"/>
			<PathParameter Name="DeviceOrderFilePath" Value="Resources/PlcParams/SiemensDeviceAddressOrder.xml" Description="Relative path to the file containing the correct device order for processing the memory addressing" DefaultValue="Resources/PlcParams/SiemensDeviceAddressOrder.xml"/>
		</ParameterList>
		<ParameterList Name="PLCMemory" Description="">
			<PositiveIntegerParameter Name="1stFB" Value="100" MinValue="100" Description="UAB will create FBs to produce the objects instances and logic starting from the FB number specified here." DefaultValue="100"/>
			<PositiveIntegerParameter Name="1stFC" Value="100" MinValue="100" Description="UAB will create FCs to produce the objects instances and logic starting from the FC number specified here." DefaultValue="100"/>
			<PositiveIntegerParameter Name="1stDB" Value="100" MinValue="100" Description="UAB will create DBs to produce the objects data resources starting from the DB number specified here." DefaultValue="100"/>
			<PositiveIntegerParameter Name="1stUDT" Value="100" MinValue="100" Description="UAB will create UDTs to produce the objects data resources starting from the UDT number specified here." DefaultValue="100"/>
			<PositiveIntegerParameter DefaultValue="7000" Description="UAB will create the UNICOSExtended resouces to produce the objects instances and logic starting from the number specified here and counting backwards." Value="7000" Name="LastUNICOSExtended"/>
		</ParameterList>
		<ParameterList Name="PLCReservedMemory" Description="">
			<ParameterList Name="T_CYCLE" Description="">
				<StringParameter Name="Name" Value="T_CYCLE" Description="" DefaultValue="T_CYCLE"/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="MD      100" Description="" DefaultValue="MD      100"/>
				<StringParameter Name="Type" Value="TIME      " Description="" DefaultValue="TIME      "/>
				<StringParameter Name="Description" Value="Cyclic Time of OB1" Description="" DefaultValue="Cyclic Time of OB1"/>
			</ParameterList>
			<ParameterList Name="PID_EXEC_CYCLE" Description="">
				<StringParameter Name="Name" Value="PID_EXEC_CYCLE   " Description="" DefaultValue="PID_EXEC_CYCLE   "/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="MD      104" Description="" DefaultValue="MD      104"/>
				<StringParameter Name="Type" Value="TIME" Description="" DefaultValue="TIME"/>
				<StringParameter Name="Description" Value="Cyclic Time of calling all controllers" Description="" DefaultValue="Cyclic Time of calling all controllers"/>
			</ParameterList>
			<ParameterList Name="comm" Description="">
				<StringParameter Name="Name" Value="comm" Description="" DefaultValue="comm"/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="M      108.0" Description="" DefaultValue="M      108.0"/>
				<StringParameter Name="Type" Value="BOOL" Description="" DefaultValue="BOOL"/>
				<StringParameter Name="Description" Value="= 1 when FC_event is called" Description="" DefaultValue="= 1 when FC_event is called"/>
			</ParameterList>
			<ParameterList Name="UNICOS_LiveCounter" Description="">
				<StringParameter Name="Name" Value="UNICOS_LiveCounter" Description="" DefaultValue="UNICOS_LiveCounter"/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="MD      110" Description="" DefaultValue="MD      110"/>
				<StringParameter Name="Type" Value="DINT" Description="" DefaultValue="DINT"/>
				<StringParameter Name="Description" Value="Live Counter icncremented each 1 second" Description="" DefaultValue="Live Counter icncremented each 1 second"/>
			</ParameterList>
			<ParameterList Name="UNICOS_TimeSmooth" Description="">
				<StringParameter Name="Name" Value="UNICOS_TimeSmooth" Description="" DefaultValue="UNICOS_TimeSmooth"/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="MW     114" Description="" DefaultValue="MW     114"/>
				<StringParameter Name="Type" Value="INT" Description="" DefaultValue="INT"/>
				<StringParameter Name="Description" Value="TimeSmoothing for alarms (user)" Description="" DefaultValue="TimeSmoothing for alarms (user)"/>
			</ParameterList>
			<ParameterList Name="UNICOS_Counter1" Description="">
				<StringParameter Name="Name" Value="UNICOS_Counter1" Description="" DefaultValue="UNICOS_Counter1"/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="MW      116" Description="" DefaultValue="MW      116"/>
				<StringParameter Name="Type" Value="INT" Description="" DefaultValue="INT"/>
				<StringParameter Name="Description" Value="Counter of PLC sampling til 1 second" Description="" DefaultValue="Counter of PLC sampling til 1 second"/>
			</ParameterList>
			<ParameterList Name="First_Cycle " Description="">
				<StringParameter Name="Name" Value="First_Cycle " Description="" DefaultValue="First_Cycle "/>
				<StringParameter Name="Nature" Value="M" Description="PLC memory" DefaultValue="M"/>
				<StringParameter Name="Address" Value="M      118.0" Description="" DefaultValue="M      118.0"/>
				<StringParameter Name="Type" Value="BOOL" Description="" DefaultValue="BOOL"/>
				<StringParameter Name="Description" Value="Bit to identify the first cycle in the PLC" Description="" DefaultValue="Bit to identify the first cycle in the PLC"/>
			</ParameterList>
			<ParameterList Name="BSEND_S7300" Description="">
				<StringParameter Name="Name" Value="BSEND_S7300" Description="" DefaultValue="BSEND_S7300"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     12" Description="" DefaultValue="FB     12"/>
				<StringParameter Name="Type" Value="FB     12" Description="" DefaultValue="FB     12"/>
				<StringParameter Name="Description" Value="BSEND used for S7300 without integrated PN interface" Description="" DefaultValue="BSEND used for S7300 without integrated PN interface"/>
			</ParameterList>
			<ParameterList Name="BSEND_S7300PNDP" Description="">
				<StringParameter Name="Name" Value="BSEND_S7300PNDP" Description="" DefaultValue="BSEND_S7300PNDP"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     14" Description="" DefaultValue="FB     14"/>
				<StringParameter Name="Type" Value="FB     14" Description="" DefaultValue="FB     14"/>
				<StringParameter Name="Description" Value="BSEND used for S7300 with integrated PN interface" Description="" DefaultValue="BSEND used for S7300 with integrated PN interface"/>
			</ParameterList>
			<ParameterList Name="CYCL_FLT" Description="">
				<StringParameter Name="Name" Value="CYCL_FLT" Description="" DefaultValue="CYCL_FLT"/>
				<StringParameter Name="Nature" Value="OB" Description="PLC memory" DefaultValue="OB"/>
				<StringParameter Name="Address" Value="OB     80" Description="" DefaultValue="OB     80"/>
				<StringParameter Name="Type" Value="OB     80" Description="" DefaultValue="OB     80"/>
				<StringParameter Name="Description" Value="Cycle Time Fault" Description="" DefaultValue="Cycle Time Fault"/>
			</ParameterList>
			<ParameterList Name="PROG_ERR" Description="">
				<StringParameter Name="Name" Value="PROG_ERR" Description="" DefaultValue="PROG_ERR"/>
				<StringParameter Name="Nature" Value="OB" Description="PLC memory" DefaultValue="OB"/>
				<StringParameter Name="Address" Value="OB     121" Description="" DefaultValue="OB     121"/>
				<StringParameter Name="Type" Value="OB     121" Description="" DefaultValue="OB     121"/>
				<StringParameter Name="Description" Value="PROG_ERR" Description="" DefaultValue="PROG_ERR"/>
			</ParameterList>
			<ParameterList Name="MOD_ERR" Description="">
				<StringParameter Name="Name" Value="MOD_ERR" Description="" DefaultValue="MOD_ERR"/>
				<StringParameter Name="Nature" Value="OB" Description="PLC memory" DefaultValue="OB"/>
				<StringParameter Name="Address" Value="OB     122" Description="" DefaultValue="OB     122"/>
				<StringParameter Name="Type" Value="OB     122" Description="" DefaultValue="OB     122"/>
				<StringParameter Name="Description" Value="MOD_ERR" Description="" DefaultValue="MOD_ERR"/>
			</ParameterList>
			<ParameterList Name="LAG1ST" Description="">
				<StringParameter Name="Name" Value="LAG1ST" Description="" DefaultValue="LAG1ST"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     9" Description="" DefaultValue="FB     9"/>
				<StringParameter Name="Type" Value="FB     9" Description="" DefaultValue="FB     9"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="LMNGEN_C" Description="">
				<StringParameter Name="Name" Value="LMNGEN_C" Description="" DefaultValue="LMNGEN_C"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     13" Description="" DefaultValue="FB     13"/>
				<StringParameter Name="Type" Value="FB     13" Description="" DefaultValue="FB     13"/>
				<StringParameter Name="Description" Value="limiter with PID" Description="" DefaultValue="limiter with PID"/>
			</ParameterList>
			<ParameterList Name="OBNL_FLT" Description="">
				<StringParameter Name="Name" Value="OBNL_FLT" Description="" DefaultValue="OBNL_FLT"/>
				<StringParameter Name="Nature" Value="OB" Description="PLC memory" DefaultValue="OB"/>
				<StringParameter Name="Address" Value="OB     85" Description="" DefaultValue="OB     85"/>
				<StringParameter Name="Type" Value="OB     85" Description="" DefaultValue="OB     85"/>
				<StringParameter Name="Description" Value="OB Not Loaded Fault" Description="" DefaultValue="OB Not Loaded Fault"/>
			</ParameterList>
			<ParameterList Name="PID" Description="">
				<StringParameter Name="Name" Value="PID" Description="" DefaultValue="PID"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     19" Description="" DefaultValue="FB     19"/>
				<StringParameter Name="Type" Value="FB     19" Description="" DefaultValue="FB     19"/>
				<StringParameter Name="Description" Value="PID BLOC" Description="" DefaultValue="PID BLOC"/>
			</ParameterList>
			<ParameterList Name="PULSEGEN" Description="">
				<StringParameter Name="Name" Value="PULSEGEN" Description="" DefaultValue="PULSEGEN"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     20" Description="" DefaultValue="FB     20"/>
				<StringParameter Name="Type" Value="FB     20" Description="" DefaultValue="FB     20"/>
				<StringParameter Name="Description" Value="PWM BLOC" Description="" DefaultValue="PWM BLOC"/>
			</ParameterList>
			<ParameterList Name="RACK_FLT" Description="">
				<StringParameter Name="Name" Value="RACK_FLT" Description="" DefaultValue="RACK_FLT"/>
				<StringParameter Name="Nature" Value="OB" Description="PLC memory" DefaultValue="OB"/>
				<StringParameter Name="Address" Value="OB     86" Description="" DefaultValue="OB     86"/>
				<StringParameter Name="Type" Value="OB     86" Description="" DefaultValue="OB     86"/>
				<StringParameter Name="Description" Value="Loss of Rack Fault" Description="" DefaultValue="Loss of Rack Fault"/>
			</ParameterList>
			<ParameterList Name="ROC_LIM" Description="">
				<StringParameter Name="Name" Value="ROC_LIM" Description="" DefaultValue="ROC_LIM"/>
				<StringParameter Name="Nature" Value="FB" Description="PLC memory" DefaultValue="FB"/>
				<StringParameter Name="Address" Value="FB     22" Description="" DefaultValue="FB     22"/>
				<StringParameter Name="Type" Value="FB     22" Description="" DefaultValue="FB     22"/>
				<StringParameter Name="Description" Value="RAMP FUNCTION" Description="" DefaultValue="RAMP FUNCTION"/>
			</ParameterList>
			<ParameterList Name="LP_SCHED" Description="">
				<StringParameter Name="Name" Value="LP_SCHED" Description="" DefaultValue="LP_SCHED"/>
				<StringParameter Name="Nature" Value="FC" Description="PLC memory" DefaultValue="FC"/>
				<StringParameter Name="Address" Value="FC      1" Description="" DefaultValue="FC      1"/>
				<StringParameter Name="Type" Value="FC      1" Description="" DefaultValue="FC      1"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="G7_STD_3" Description="">
				<StringParameter Name="Name" Value="G7_STD_3" Description="" DefaultValue="G7_STD_3"/>
				<StringParameter Name="Nature" Value="FC" Description="PLC memory" DefaultValue="FC"/>
				<StringParameter Name="Address" Value="FC      72" Description="" DefaultValue="FC      72"/>
				<StringParameter Name="Type" Value="FC      72" Description="" DefaultValue="FC      72"/>
				<StringParameter Name="Description" Value="It contains the run-time system of an S7 Graph sequencer." Description="" DefaultValue="It contains the run-time system of an S7 Graph sequencer."/>
			</ParameterList>
			<ParameterList Name="TOF" Description="">
				<StringParameter Name="Name" Value="TOF" Description="" DefaultValue="TOF"/>
				<StringParameter Name="Nature" Value="SFB" Description="PLC memory" DefaultValue="SFB"/>
				<StringParameter Name="Address" Value="SFB     5" Description="" DefaultValue="SFB     5"/>
				<StringParameter Name="Type" Value="SFB     5" Description="" DefaultValue="SFB     5"/>
				<StringParameter Name="Description" Value="Generate an Off Delay" Description="" DefaultValue="Generate an Off Delay"/>
			</ParameterList>
			<ParameterList Name="TON" Description="">
				<StringParameter Name="Name" Value="TON" Description="" DefaultValue="TON"/>
				<StringParameter Name="Nature" Value="SFB" Description="PLC memory" DefaultValue="SFB"/>
				<StringParameter Name="Address" Value="SFB     4" Description="" DefaultValue="SFB     4"/>
				<StringParameter Name="Type" Value="SFB     4" Description="" DefaultValue="SFB     4"/>
				<StringParameter Name="Description" Value="Generate an On Delay" Description="" DefaultValue="Generate an On Delay"/>
			</ParameterList>
			<ParameterList Name="TP" Description="">
				<StringParameter Name="Name" Value="TP" Description="" DefaultValue="TP"/>
				<StringParameter Name="Nature" Value="SFB" Description="PLC memory" DefaultValue="SFB"/>
				<StringParameter Name="Address" Value="SFB     3" Description="" DefaultValue="SFB     3"/>
				<StringParameter Name="Type" Value="SFB     3" Description="" DefaultValue="SFB     3"/>
				<StringParameter Name="Description" Value="Generate a Pulse" Description="" DefaultValue="Generate a Pulse"/>
			</ParameterList>
			<ParameterList Name="VAT_TSPP" Description="">
				<StringParameter Name="Name" Value="VAT_TSPP" Description="" DefaultValue="VAT_TSPP"/>
				<StringParameter Name="Nature" Value="VAT" Description="PLC memory" DefaultValue="VAT"/>
				<StringParameter Name="Address" Value="VAT     2" Description="" DefaultValue="VAT     2"/>
				<StringParameter Name="Type" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="TSPP main parameters visualization" Description="" DefaultValue="TSPP main parameters visualization"/>
			</ParameterList>
		</ParameterList>
		<ParameterList Name="BaselineResources" Description="Contains All the Baseline Resources">
			<ParameterList Name="TSPP_UNICOS_Manager" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="TSPP_UNICOS_Manager"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="TSPP_UNICOS_Manager"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="TSPP FB for the communication between Siemens PLC and WinCC O.A. SCADA"/>
			</ParameterList>
			<ParameterList Name="AVG" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="AVG"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FB created to calculate the average of the N last values of X"/>
			</ParameterList>
			<ParameterList Name="R_EDGE" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="R_EDGE"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FC to detect a Rising Edge on a signal"/>
			</ParameterList>
			<ParameterList Name="F_EDGE" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="F_EDGE"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FC to detect a Falling Edge on a signal"/>
			</ParameterList>
			<ParameterList Name="FC_Event" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_Event"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FC to Generate Events for evstsreg01 and call TS_EVENT_MANAGER "/>
			</ParameterList>
			<ParameterList Name="FC_Diag1" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_Diag1"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FC_Diag1"/>
			</ParameterList>
			<ParameterList Name="FC_Diag2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_Diag2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FC_Diag2"/>
			</ParameterList>
			<ParameterList Name="ReadPAValve" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="ReadPAValve"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function returning the value of a PA Valve to an AO "/>
			</ParameterList>
			<ParameterList Name="WritePAValve" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="WritePAValve "/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function Writing the value of an AI in a PA Valve "/>
			</ParameterList>
			<ParameterList Name="UpdatePAStatus" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="UpdatePAStatus"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function updating the value of a PA Valve "/>
			</ParameterList>
			<ParameterList Name="READ_Profibus_PA" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="READ_Profibus_PA"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function returning the value of a DP profibus instrument"/>
			</ParameterList>
			<ParameterList Name="READ_Profibus_DP" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="READ_Profibus_DP"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function returning the value of a DP profibus instrument  "/>
			</ParameterList>
			<ParameterList Name="FC_TSPP" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_TSPP"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function for TSPP communication"/>
			</ParameterList>
			<ParameterList Name="DETECT_EDGE" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DETECT_EDGE"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function to detect a Rising Edge on a signal "/>
			</ParameterList>
			<ParameterList Name="FC_unicos1" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_unicos1"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user defined Function"/>
			</ParameterList>
			<ParameterList Name="FC_unicos2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_unicos2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user defined Function"/>
			</ParameterList>
			<ParameterList Name="FC_unicos3" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_unicos3"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user defined Function"/>
			</ParameterList>
			<ParameterList Name="FC_unicos4" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_unicos4"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user defined Function"/>
			</ParameterList>
			<ParameterList Name="FC_unicos5" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_unicos5"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user defined Function"/>
			</ParameterList>
			<ParameterList Name="FC_CONTROLLER" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_CONTROLLER"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="This Function call every Controller_DL() Functions"/>
			</ParameterList>
			<ParameterList Name="FC_PCO_LOGIC" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_PCO_LOGIC"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="This Function call every section PCO Function"/>
			</ParameterList>
			<ParameterList Name="DB_WINCCOA" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_WINCCOA"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Contains TSPP parameters for WINCC O. A."/>
			</ParameterList>
			<ParameterList Name="DB_SCHED" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_SCHED"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB scheduler to manage the PID sampling times"/>
			</ParameterList>
			<ParameterList Name="DB_COMM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_COMM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Contains all numbers of status DB"/>
			</ParameterList>
			<ParameterList Name="DB_ERROR_SIMU" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_ERROR_SIMU"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Error and Simu Signals of all PCO functions"/>
			</ParameterList>
			<ParameterList Name="DB_EventData" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_EventData"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Contains pointers on evstsreg which have been changed"/>
			</ParameterList>
			<ParameterList Name="DB_Diagnostic" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Diagnostic"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Contains data of IO Error diagnostic"/>
			</ParameterList>
			<ParameterList Name="DB_PAValue" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_PAValue"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB with DP/PA information for AI/AO"/>
			</ParameterList>
			<ParameterList Name="DB_status_PA_VALVES" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_status_PA_VALVES"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB with DP/PA information for AI/AO"/>
			</ParameterList>
			<ParameterList Name="DB_DPValue" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_DPValue"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB for DP Value"/>
			</ParameterList>
			<ParameterList Name="DB_unicos1" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_unicos1"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user DB"/>
			</ParameterList>
			<ParameterList Name="DB_unicos2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_unicos2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user DB"/>
			</ParameterList>
			<ParameterList Name="DB_unicos3" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_unicos3"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user DB"/>
			</ParameterList>
			<ParameterList Name="DB_unicos4" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_unicos4"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user DB"/>
			</ParameterList>
			<ParameterList Name="DB_unicos5" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_unicos5"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="user DB"/>
			</ParameterList>
			<ParameterList Name="TSPP_UNICOS_DB" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="TSPP_UNICOS_DB"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="TSPP_UNICOS_Manager"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Instance DB of TSPP_UNICOS_Manager function"/>
			</ParameterList>
			<ParameterList Name="CPC_ANALOG_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_ANALOG_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="parameters of Analog Objects"/>
			</ParameterList>
			<ParameterList Name="CPC_ANALOGALARM_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_ANALOGALARM_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="parameters of AA Objects"/>
			</ParameterList>
			<ParameterList Name="PARAMETERS_LIMIT" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="PARAMETERS_LIMIT"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Limit parameters"/>
			</ParameterList>
			<ParameterList Name="CPC_PID_LIB_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_PID_LIB_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of the PID"/>
			</ParameterList>
			<ParameterList Name="CPC_PID_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_PID_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of controller objects"/>
			</ParameterList>
			<ParameterList Name="CPC_PCO_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_PCO_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of PCO objects"/>
			</ParameterList>
			<ParameterList Name="CPC_RAMP_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_RAMP_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Ramp parameters for PID"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_COMM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_DB_COMM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Type for the communication DB"/>
			</ParameterList>
			<ParameterList Name="CPC_IOERROR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_IOERROR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Used for AI/DI/AO/DO_Error"/>
			</ParameterList>
			<ParameterList Name="CPC_ANADIG_PWM_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_ANADIG_PWM_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of the Pulse Wave Modulation of Anadig objects"/>
			</ParameterList>
			<ParameterList Name="STATUS_PID" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="STATUS_PID"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="UDT for PID status"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_PA_STATUS" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_DB_PA_STATUS"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="UDT for PID status"/>
			</ParameterList>
			<ParameterList Name="CPC_ONOFF_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_ONOFF_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of ONOFF"/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_AI" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_AI"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_AIR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_AIR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_AO" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_AO"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_AOR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_AOR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_DI" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_DI"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_DO" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_DO"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_AS" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_AS"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_WS" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_WS"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="IO_ACCESS_WPAR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="IO_ACCESS_WPAR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Addressing of IO objects "/>
			</ParameterList>
			<ParameterList Name="CPC_FB_RECIPES" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_FB_RECIPES"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Implementation of Recipe Mechanism"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_RECIPES" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_DB_RECIPES"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="CPC_FB_RECIPES"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Instance DB of RECIPES function"/>
			</ParameterList>
			<ParameterList Name="DB_RECIPES_INTERFACE" Description="">
				<StringParameter Name="Name" Value="DB_RECIPES_INTERFACE" Description="" DefaultValue="DB_RECIPES_INTERFACE"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB created for the Siemens recipes mechanism"/>
			</ParameterList>
			<ParameterList Name="DB_RECIPES_INTERFACE_old" Description="">
				<StringParameter Name="Name" Value="DB_RECIPES_INTERFACE_old" Description="" DefaultValue="DB_RECIPES_INTERFACE_old"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB created for the Siemens recipes mechanism"/>
			</ParameterList>
			<ParameterList Name="FB_RTM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FB_RTM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="RunTime Meter" Description="" DefaultValue="RunTime Meter"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_VERSION" Description="">
				<StringParameter Name="Name" Value="CPC_DB_VERSION" Description="" DefaultValue="CPC_DB_VERSION"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB created to include the Baseline version"/>
			</ParameterList>
			<ParameterList Name="CPC_LOCAL_PARAM" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_LOCAL_PARAM"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Parameters of Local"/>
			</ParameterList>
			<ParameterList Name="FC_ANALOG2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_ANALOG2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="when exceeded the limit size"/>
			</ParameterList>
			<ParameterList Name="FC_ANALOG3" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_ANALOG3"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="when exceeded the limit size"/>
			</ParameterList>
			<ParameterList Name="FC_ANALOG4" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_ANALOG4"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="when exceeded the limit size"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_DI_S" Description="">
				<StringParameter Name="Name" Value="CPC_DB_DI_S" Description="" DefaultValue="CPC_DB_DI_S"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="SIMPLIFIED DIGITAL INPUT OBJECT DATA STRUCTURE"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_AIR_S" Description="">
				<StringParameter Name="Name" Value="CPC_DB_AIR_S" Description="" DefaultValue="CPC_DB_AIR_S"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="SIMPLIFIED AIR OBJECT DATA STRUCTURE"/>
			</ParameterList>
			<ParameterList Name="DB_DI_ALL_S" Description="">
				<StringParameter Name="Name" Value="DB_DI_ALL_S" Description="" DefaultValue="DB_DI_ALL_S"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="SIMPLIFIED DB instance DI"/>
			</ParameterList>
			<ParameterList Name="DB_AIR_ALL_S" Description="">
				<StringParameter Name="Name" Value="DB_AIR_ALL_S" Description="" DefaultValue="DB_AIR_ALL_S"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="SIMPLIFIED DB instance AIR"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_DPReadout" Description="">
				<StringParameter Name="Name" Value="CPC_DB_DPReadout" Description="" DefaultValue="CPC_DB_DPReadout"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Data block for the consistent readout of PROFIBUS DP data"/>
			</ParameterList>
			<ParameterList Name="WRITE_Profibus_DP" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="WRITE_Profibus_DP "/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Consistent write of PROFIBUS DP data"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_DPWrite" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_DB_DPWrite"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Data block for the consistent write of PROFIBUS DP data"/>
			</ParameterList>
		</ParameterList>
		<ParameterList Name="OptimizedTypeResources" Description="">
			<ParameterList Name="CPC_FB_Type">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_FB_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FB to define the behavior for the UNICOS type"/>
			</ParameterList>
			<ParameterList Name="DB_bin_Status_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_bin_Status_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the binary status"/>
			</ParameterList>
			<ParameterList Name="DB_bin_Status_Type_old" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_bin_Status_Type_old"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the old binary status"/>
			</ParameterList>
			<ParameterList Name="DB_Event_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Event_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the events"/>
			</ParameterList>
			<ParameterList Name="DB_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="CPC_FB_Type"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Instance DB"/>
			</ParameterList>
			<ParameterList Name="Type_ERROR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_ERROR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the errors"/>
			</ParameterList>
			<ParameterList Name="FB_Type_all" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FB_Type_all"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FB to optimize the UNICOS objects"/>
			</ParameterList>
			<ParameterList Name="FB_Type_all2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FB_Type_all2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FB to optimize the UNICOS objects"/>
			</ParameterList>
			<ParameterList Name="DB_Type_all" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Type_all"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="FB_Type_all"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB intance of FB_Type_all"/>
			</ParameterList>
			<ParameterList Name="DB_Type_all2" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Type_all2"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="FB_Type_all2"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB intance of FB_Type_all2"/>
			</ParameterList>
			<ParameterList Name="DB_ana_Status_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_ana_Status_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the analog status"/>
			</ParameterList>
			<ParameterList Name="DB_ana_Status_Type_old" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_ana_Status_Type_old"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the old analog status"/>
			</ParameterList>
			<ParameterList Name="CPC_DB_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_DB_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="UDT created for optimized objects"/>
			</ParameterList>
			<ParameterList Name="Type_ManRequest" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_ManRequest"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_Type_Inputs"/>
			</ParameterList>
			<ParameterList Name="Type_event" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_event"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_Event_Type"/>
			</ParameterList>
			<ParameterList Name="Type_bin_Status" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_bin_Status"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_bin_Status_Type and DB_bin_Status_Type_old"/>
			</ParameterList>
			<ParameterList Name="Type_ana_Status" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_ana_Status"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_ana_Status_Type and DB_Ana_Status_Type_old"/>
			</ParameterList>
			<ParameterList Name="DB_Type_ManRequest" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Type_ManRequest"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to map inputs from SCADA"/>
			</ParameterList>
		</ParameterList>
		<ParameterList Name="NoOptimizedTypeResources" Description="">
			<ParameterList Name="CPC_FB_Type">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="CPC_FB_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="FB to define the behavior for the UNICOS type"/>
			</ParameterList>
			<ParameterList Name="DB_bin_Status_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_bin_Status_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the binary status"/>
			</ParameterList>
			<ParameterList Name="DB_bin_Status_Type_old" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_bin_Status_Type_old"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the old binary status"/>
			</ParameterList>
			<ParameterList Name="FC_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function for no-optimized objects"/>
			</ParameterList>
			<ParameterList Name="DB_Equiment_Location_Name" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Equiment_Location_Name"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="instance_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue="CPC_FB_Type"/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB created for each instance of no-optimized objects"/>
			</ParameterList>
			<ParameterList Name="DB_Event_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Event_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the events of each type"/>
			</ParameterList>
			<ParameterList Name="Master_Equiment_Location_Name" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Master_Equiment_Location_Name"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Function created for the Dependent Logic "/>
			</ParameterList>
			<ParameterList Name="DB_ana_Status_Type" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_ana_Status_Type"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the analog status"/>
			</ParameterList>
			<ParameterList Name="DB_ana_Status_Type_old" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_ana_Status_Type_old"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to store the old analog status"/>
			</ParameterList>
			<ParameterList Name="Type_ManRequest" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_ManRequest"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_Type_Inputs"/>
			</ParameterList>
			<ParameterList Name="Type_bin_Status" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_bin_Status"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_bin_Status_Type and DB_bin_Status_Type_old"/>
			</ParameterList>
			<ParameterList Name="Type_ana_Status" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_ana_Status"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_ana_Status_Type and DB_Ana_Status_Type_old"/>
			</ParameterList>
			<ParameterList Name="DB_Type_ManRequest" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="DB_Type_ManRequest"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="global_DB"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="DB to map inputs from SCADA"/>
			</ParameterList>
			<ParameterList Name="Type_event" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="Type_event"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="UDT"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="" DefaultValue="Structure for DB_Event_Type"/>
			</ParameterList>
		</ParameterList>
		<ParameterList Name="UNICOSExtended" Description="Contains new requirements in terms of resources Starting from Address 7000, counting backwards">
			<ParameterList Name="FC_AA" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AA"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_AI" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AI"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_AIR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AIR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_AO" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AO"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_AOR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AOR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_APAR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_APAR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_AS" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_AS"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_DA" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_DA"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_DI" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_DI"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_DO" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_DO"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_DPAR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_DPAR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_WPAR" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_WPAR"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
			<ParameterList Name="FC_WS" Description="">
				<StringParameter Name="Name" Value="" Description="" DefaultValue="FC_WS"/>
				<StringParameter Name="Nature" Value="" Description="" DefaultValue="FUNCTION"/>
				<StringParameter Name="Associated" Value="" Description="" DefaultValue=""/>
				<StringParameter Name="Description" Value="" Description="Function for optimized objects" DefaultValue=""/>
			</ParameterList>
		</ParameterList>
		<ParameterList Name="EthernetParameters" Description="" isExpertField="false">
			<IPAddress Name="IpAddressPlc" Value="137.138.192.1" Description="Ip Address PLC"/>
		</ParameterList>
		<ParameterList Name="UserResources" Description="">
			<OptionalPathParameter Name="UserResourcesFile" Value="" Description="Path to the xml file where the additional resources (FBs, FCs, ...) can be defined by the user." DefaultValue=""/>
			<OptionalPathParameter Name="FixUserResourcesFile" Value="" Description="Path to the xml file where the additional resources (M, SFBs, SFCs, FBs, FCs, ...) can be defined by the user with a fix address." DefaultValue=""/>
		</ParameterList>
		<ParameterList Name="RecipeParameters" Description="">
			<BooleanParameter Name="GenerateBuffers" Value="true" Description="All resources (functions and databases) in both PLC and SCADA associated to the recipe tool will be created." DefaultValue="false"/>
			<PositiveIntegerParameter Name="ActivationTimeout" Value="100" Description="Recipe activation timeout (sec.)" DefaultValue="100"/>
			<PositiveIntegerParameter Name="HeaderBufferSize" Value="20" Description="Size of the header and status buffers" DefaultValue="20"/>
			<PositiveIntegerParameter Name="BufferSize" Value="1000" Description="Maximum number of data used in a recipe [1-1000]" DefaultValue="1000"/>
		</ParameterList>
	</ParameterList>
	<ParameterList Name="S7-400HParameters" Description="Specific parameters for Siemens S7-400H PLC" isExpertField="false">
		<ParameterList Name="PlcConfigParameters" Description="" isExpertField="false">
			<BooleanParameter Name="RedundantModeEnabled" Value="true" Description="True if the PLC redundant mode must be enabled." DefaultValue="true"/>
		</ParameterList>
		<ParameterList Name="EthernetParameters" Description="" isExpertField="false">
			<IPAddress Name="RedundantIpAddressPlc" Value="137.138.192.2" Description="Redundant Ip Address"/>
		</ParameterList>
		<ParameterList Name="PLCS7Connection">
			<HexParameter Name="RedundantLocalId" Value="2" Description="PLC connection ID (see NetPro S7 Connection settings)" DefaultValue="2"/>
			<PositiveIntegerParameter Name="RedundantLocalRack" Value="1" Description="PLC Rack Number (see NetPro S7 Connection settings)" DefaultValue="1"/>
			<PositiveIntegerParameter Name="RedundantLocalSlot" Value="3" Description="PLC CPU Slot Number (see NetPro S7 Connection settings)" DefaultValue="3"/>
			<HexParameter Name="RedundantLocalConnResource" Value="11" Description="PLC Connection Resources (see NetPro S7 Connection settings)" DefaultValue="11"/>
		</ParameterList>
		<ParameterList Name="AddressConfig" Description="">
			<HexParameter Name="RedundantPartnerConnResource" Value="11" MinValue="10" Description="PC Connection Resources (see NetPro S7 Connection settings)" DefaultValue="11"/>
			<PositiveIntegerParameter Name="RedundantTimeout" Value="5000" Description="S7 Driver connection timeout" DefaultValue="5000"/>
			<PositiveIntegerParameter Name="RedundantPartnerRack" Value="0" Description="PC Partner Rack (see NetPro S7 Connection settings)" DefaultValue="0"/>
			<PositiveIntegerParameter Name="RedundantPartnerSlot" Value="0" Description="PC Partner Slot (see NetPro S7 Connection settings)" DefaultValue="0"/>
		</ParameterList>
	</ParameterList>
</SiemensPLC>
